<?php
# Script écrit par Helmain du site toutletempslaniaque.net.
# Ce script ne fait qu'afficher dans un bandeau
# placé dans le header, et mettre en forme les 
# informations de vigilance communiquées par le 
# site https://vigilance.meteofrance.fr
require_once("config.php");
require_once("departements.php");
$departement = strtoupper($departement);
$nom_mois = array("", "janvier", "février", "mars", "avril", "mai", "juin", "juillet", "août", "septembre", "octobre", "novembre", "décembre");
$color = array ("", "vert", "jaune", "orange", "rouge");
$type_alerte = array("&nbsp;Pas de vigilance particulière&nbsp;","Vent violent","Pluie-Inondation","Orages","Crues","Neige-Verglas","Canicule","Grand-froid","Avalanches","Vagues-Submersion");
$icones = array("","vent_violent","pluie_inondation","orages","crues","neige_verglas","canicule","grand_froid","avalanches","vagues_submersion");
if($live==0)
{	
	$fichier_xml = file_get_contents("./$dircache/vigilance.xml");
}
else 
{	
	$fichier_xml = file_get_contents("https://vigilance2019.meteofrance.com/data/NXFR33_LFPW_.xml");
}
#   ************************************
#   *      LECTURE DU FICHIER XML      *
#   ************************************
#
$document = new DomDocument();
$document->loadXML($fichier_xml);
#   *********************************************************************************************
#   *      EXTRACTION DES JOURS ET HEURES DE DEBUT ET DE FIN ET MISE EN FORME DE CELLES-CI      *
#   *********************************************************************************************
# 
$dateheure = $document->getElementsByTagName("EV");
foreach($dateheure as $time) {
		$debut=$time->getAttribute("dateinsert");
		$debut_alerte = "&nbsp;&nbsp;Publié par Météo-France le ".substr($debut,6,2)." ".$nom_mois[substr($debut,4,2)*1]." ".substr($debut,0,4)." à ".(substr($debut,8,2))."h".substr($debut,10,2)." (heure locale),&nbsp;";
		$fin = $time->getAttribute("dateprevue");
		$fin_alerte = "valable jusqu'au ".substr($fin,6,2)." ".$nom_mois[substr($fin,4,2)*1]." ".substr($fin,0,4)." à ".(substr($fin,8,2))."h".substr($fin,10,2)." (heure locale).&nbsp;";
}
#   ************************************
#   *      EXTRACTION DES ALERTES      *
#   ************************************
#
# Extraction alertes rouges code couleur 4
$alerte4 = $document->getElementsByTagName("DV");
foreach($alerte4 as $dept) {
	# Extraction des alertes rouges (code alerte 1 à 8)
	if($dept->getAttribute("dep")==$departement && $dept->getAttribute("coul")==4) 
	{
		$risque = $dept->getElementsByTagName("risque");
		foreach($risque as $alert) 
		{	
			$type[] = $alert->getAttribute("val");
			$couleur[] =  $dept->getAttribute("coul");		
			$colorfond[]="#FF1E00";
			$coloralerte[]="#FFFFFF";
			$icone[] = ($icones[$alert->getAttribute("val")]."-blanc.gif");
			$nbre4 = count($type);
			if(!isset($nbre4)) {$nbre4=0;}
		}
	}
	# Extraction des alertes rouges (code alerte 9, ne concerne que les départements côtiers)
	if($dept->getAttribute("dep")==$departement."10" && $dept->getAttribute("coul")==4) 
	{
		$type[]= 9;
		$couleur[] =  $dept->getAttribute("coul");
		$colorfond[]="#FF1E00";
		$coloralerte[]="#FFFFFF";
		$icone[] = ($icones[9]."-blanc.gif");
		$nbre4+=1;
	}
}
# Extraction alertes oranges code couleur 3
$alerte3 = $document->getElementsByTagName("DV");
foreach($alerte3 as $dept) {
	# Extraction des alertes oranges (code alerte 1 à 8)
	if($dept->getAttribute("dep")==$departement && $dept->getAttribute("coul")==3) 
	{
		$risque = $dept->getElementsByTagName("risque");
		foreach($risque as $alert) 
		{
			$type[] = $alert->getAttribute("val");
			$couleur[] =  $dept->getAttribute("coul");
			$colorfond[]="#FFBF00";
			$coloralerte[]="#000000";
			$icone[] = ($icones[$alert->getAttribute("val")].".gif");
			if(isset($nbre4)) {$nbre3 = count($type)-$nbre4;}
			else {$nbre3 = count($type);}
			if(!isset($nbre3)) {$nbre3=0;}
		}
	}
	# Extraction des alertes oranges (code alerte 9, ne concerne que les départements côtiers)
	if($dept->getAttribute("dep")==$departement."10" && $dept->getAttribute("coul")==3) 
	{
		$type[]= 9;
		$couleur[] =  $dept->getAttribute("coul");
		$colorfond[]="#FFBF00";
		$coloralerte[]="#000000";
		$icone[] = ($icones[9].".gif");
		$nbre3+=1;
	}
}
# Extraction alertes jaunes code couleur 2
$alerte2 = $document->getElementsByTagName("DV");
foreach($alerte2 as $dept) {
	# Extraction des alertes jaunes (code alerte 1 à 8)
	if($dept->getAttribute("dep")==$departement && $dept->getAttribute("coul")==2) 
	{
		$risque = $dept->getElementsByTagName("risque");
		foreach($risque as $alert) 
		{
			$type[] = $alert->getAttribute("val");
			$couleur[] =  $dept->getAttribute("coul");
			$colorfond[]="#FFFB00";
			$coloralerte[]="#000000";
			$icone[] = ($icones[$alert->getAttribute("val")].".gif");
			if(isset($nbre3)&&isset($nbre4)) {$nbre2 = count($type)-($nbre4+$nbre3);}
			elseif(isset($nbre3)&&!isset($nbre4)) {$nbre2 = count($type)-($nbre3);}
			elseif(!isset($nbre3)&&isset($nbre4)) {$nbre2 = count($type)-($nbre4);}
			elseif(!isset($nbre3)&&!isset($nbre4)) {$nbre2 = count($type);}
			elseif(!isset($nbre2)) {$nbre2=0;}
		}
	}
	# Extraction des alertes jaunes (code alerte 9, ne concerne que les départements côtiers)
	if($dept->getAttribute("dep")==$departement."10" && $dept->getAttribute("coul")==2) 
	{
		$type[]= 9;
		$couleur[] =  $dept->getAttribute("coul");
		$colorfond[]="#FFFB00";
		$coloralerte[]="#000000";
		$icone[] = ($icones[9].".gif");
		$nbre2+=1;
	}
}

$alerte1 = $document->getElementsByTagName("DV");
foreach($alerte1 as $dept) 
{
	# Si aucune vigilance dans un département non côtier code couleur 1
	if($dept->getAttribute("dep")==$departement && $dept->getAttribute("coul")==1)
	{
		$couleur[] =  $dept->getAttribute("coul");
		$colorfond[]="#00B000";
		$coloralerte[]="#FFFFFF";
		$icone[] = "";
	}
	# Si aucune vigilance dans un département côtier code couleur 1
	elseif(($dept->getAttribute("dep")==$departement && $dept->getAttribute("coul")==1) && ($dept->getAttribute("dep")==$departement."10" && $dept->getAttribute("coul")==1)) 
	{ 
		$couleur[] =  $dept->getAttribute("coul");
		$colorfond[]="#00B000";
		$coloralerte[]="#FFFFFF";
		$icone[] = "";
	}
}
# Mise à zéro des compteurs si aucune alerte dans la couleur n'est trouvée
if(!isset($nbre4)) {$nbre4=0;}
if(!isset($nbre3)) {$nbre3=0;}
if(!isset($nbre2)) {$nbre2=0;}
# Total des alertes trouvées ce qui va déterminer quelle case du switch va être exécutée
$total = $nbre2 + $nbre3 + $nbre4;
# Mise en forme de l'URL Météo-France du département indiqué dans le fichier "config.php"
$url="https://vigilance.meteofrance.fr/fr/$NomDepURL";
# Mise en forme du texte de l'alerte
$source="<span style='font-size:12px;font-weight:normal;background-color:$ColorBandeau;color:$textcolor;'><b>&nbsp;&nbsp;&nbsp;Il peut exister un délai dans la mise à jour de ce site. Pour de plus amples informations veuillez consulter le site&nbsp;&nbsp;<a href=$url target='_blank'><sub><img src='".$dirimage."/logo_meteofrance.png' alt='meteofrance' height='17'</sub></a></b>&nbsp;&nbsp;<i>&nbsp;&nbsp;&nbsp;&nbsp;Source&nbsp;:&nbsp;meteofrance.fr.</i> &nbsp;&nbsp;<i>Script écrit par Helmain du site&nbsp;&nbsp;</i><a href='https://toutletempslaniaque.net' target='_blank'>toutletempslaniaque.net</a></span>";
$entete= "<b><span style='color:$textcolor;background-color:$ColorBandeau;'>Vigilance météorologique $NomDep : </span>";
$pied="</b>".$source;
$niveau = " de niveau ";
switch($total){
	# Aucune alerte
	case 0: $vigilance = $entete."<strong style='background-color:$colorfond[0];color:$coloralerte[0];' height='20px'>$type_alerte[0]</strong>$debut_alerte$fin_alerte".$pied;
						# Si $permanent = 1 dans le fichier "config.php" le message "Pas de vigilance particulière" sur fond vert sera affiché en permanence. Sinon, aucun message.
						if($permanent==1)
						{
							require_once("vigilance.html");
						}
						break;
	# 1 alerte
	case 1: $vigilance = $entete."<strong style='background-color:$colorfond[0];color:$coloralerte[0];' height='20px'><sub><img src='$dirimage/$icone[0]' width='30px' alt='$icone[0]' ></sub>&nbsp;&nbsp;".$type_alerte[$type[0]].$niveau.$color[$couleur[0]]." </strong>".$debut_alerte.$fin_alerte.$pied;
						require_once("vigilance.html");
						break;
	# 2 alertes
	case 2: $vigilance = $entete."<strong style='background-color:$colorfond[0];color:$coloralerte[0];' height='20px'><sub><img src='$dirimage/$icone[0]' width='30px' alt='$icone[0]' ></sub>&nbsp;&nbsp;".$type_alerte[$type[0]].$niveau.$color[$couleur[0]]."</strong>&nbsp;+&nbsp;"
								."<strong style='background-color:$colorfond[1];color:$coloralerte[1];' height='20px'><sub><img src='$dirimage/$icone[1]' width='30px' alt='$icone[1]' ></sub>&nbsp;&nbsp;".$type_alerte[$type[1]].$niveau.$color[$couleur[1]]."</strong>".$debut_alerte.$fin_alerte.$pied;
						require_once("vigilance.html");
						break;
	# 3 alertes
	case 3: $vigilance = $entete."<strong style='background-color:$colorfond[0];color:$coloralerte[0];' height='20px'><sub><img src='$dirimage/$icone[0]' width='30px' alt='$icone[0]' ></sub>&nbsp;&nbsp;".$type_alerte[$type[0]].$niveau.$color[$couleur[0]]."</strong>&nbsp;+&nbsp;"
								."<strong style='background-color:$colorfond[1];color:$coloralerte[1];' height='20px'><sub><img src='$dirimage/$icone[1]' width='30px' alt='$icone[1]' ></sub>&nbsp;&nbsp;".$type_alerte[$type[1]].$niveau.$color[$couleur[1]]."</strong>&nbsp;+&nbsp;"
								."<strong style='background-color:$colorfond[2];color:$coloralerte[2];' height='20px'><sub><img src='$dirimage/$icone[2]' width='30px' alt='$icone[2]' ></sub>&nbsp;&nbsp;".$type_alerte[$type[2]].$niveau.$color[$couleur[2]]."</strong>".$debut_alerte.$fin_alerte.$pied;
						require_once("vigilance.html");
						break;
	# 4 alertes (jamais vu !!)
	case 4: $vigilance = $entete."<strong style='background-color:$colorfond[0];color:$coloralerte[0];' height='20px'><sub><img src='$dirimage/$icone[0]' width='30px' alt='$icone[0]' ></sub>&nbsp;&nbsp;".$type_alerte[$type[0]].$niveau.$color[$couleur[0]]."</strong>&nbsp;+&nbsp;"
								."<strong style='background-color:$colorfond[1];color:$coloralerte[1];' height='20px'><sub><img src='$dirimage/$icone[1]' width='30px' alt='$icone[1]' ></sub>&nbsp;&nbsp;".$type_alerte[$type[1]].$niveau.$color[$couleur[1]]."</strong>&nbsp;+&nbsp;"
								."<strong style='background-color:$colorfond[2];color:$coloralerte[2];' height='20px'><sub><img src='$dirimage/$icone[2]' width='30px' alt='$icone[2]' ></sub>&nbsp;&nbsp;".$type_alerte[$type[2]].$niveau.$color[$couleur[2]]."</strong>&nbsp;+&nbsp;"
								."<strong style='background-color:$colorfond[3];color:$coloralerte[3];' height='20px'><sub><img src='$dirimage/$icone[3]' width='30px' alt='$icone[3]' ></sub>&nbsp;&nbsp;".$type_alerte[$type[3]].$niveau.$color[$couleur[3]]."</strong>".$debut_alerte.$fin_alerte.$pied;
						require_once("vigilance.html");
						break;
	# 5 alertes (jamais vu !!)
	case 5: $vigilance = $entete."<strong style='background-color:$colorfond[0];color:$coloralerte[0];' height='20px'><sub><img src='$dirimage/$icone[0]' width='30px' alt='$icone[0]' ></sub>&nbsp;&nbsp;".$type_alerte[$type[0]].$niveau.$color[$couleur[0]]."</strong>&nbsp;+&nbsp;"
								."<strong style='background-color:$colorfond[1];color:$coloralerte[1];' height='20px'><sub><img src='$dirimage/$icone[1]' width='30px' alt='$icone[1]' ></sub>&nbsp;&nbsp;".$type_alerte[$type[1]].$niveau.$color[$couleur[1]]."</strong>&nbsp;+&nbsp;"
								."<strong style='background-color:$colorfond[2];color:$coloralerte[2];' height='20px'><sub><img src='$dirimage/$icone[2]' width='30px' alt='$icone[2]' ></sub>&nbsp;&nbsp;".$type_alerte[$type[2]].$niveau.$color[$couleur[2]]."</strong>&nbsp;+&nbsp;"
								."<strong style='background-color:$colorfond[3];color:$coloralerte[3];' height='20px'><sub><img src='$dirimage/$icone[3]' width='30px' alt='$icone[3]' ></sub>&nbsp;&nbsp;".$type_alerte[$type[3]].$niveau.$color[$couleur[3]]."</strong>&nbsp;+&nbsp;"
								."<strong style='background-color:$colorfond[4];color:$coloralerte[4];' height='20px'><sub><img src='$dirimage/$icone[4]' width='30px' alt='$icone[4]' ></sub>&nbsp;&nbsp;".$type_alerte[$type[4]].$niveau.$color[$couleur[4]]."</strong>".$debut_alerte.$fin_alerte.$pied;
						require_once("vigilance.html");
						break;
	# 6 alertes (impossible)
	case 6: $vigilance = $entete."<strong style='background-color:$colorfond[0];color:$coloralerte[0];' height='20px'><sub><img src='$dirimage/$icone[0]' width='30px' alt='$icone[0]' ></sub>&nbsp;&nbsp;".$type_alerte[$type[0]].$niveau.$color[$couleur[0]]."</strong>&nbsp;+&nbsp;"
								."<strong style='background-color:$colorfond[1];color:$coloralerte[1];' height='20px'><sub><img src='$dirimage/$icone[1]' width='30px' alt='$icone[1]' ></sub>&nbsp;&nbsp;".$type_alerte[$type[1]].$niveau.$color[$couleur[1]]."</strong>&nbsp;+&nbsp;"
								."<strong style='background-color:$colorfond[2];color:$coloralerte[2];' height='20px'><sub><img src='$dirimage/$icone[2]' width='30px' alt='$icone[2]' ></sub>&nbsp;&nbsp;".$type_alerte[$type[2]].$niveau.$color[$couleur[2]]."</strong>&nbsp;+&nbsp;"
								."<strong style='background-color:$colorfond[3];color:$coloralerte[3];' height='20px'><sub><img src='$dirimage/$icone[3]' width='30px' alt='$icone[3]' ></sub>&nbsp;&nbsp;".$type_alerte[$type[3]].$niveau.$color[$couleur[3]]."</strong>&nbsp;+&nbsp;"
								."<strong style='background-color:$colorfond[4];color:$coloralerte[4];' height='20px'><sub><img src='$dirimage/$icone[4]' width='30px' alt='$icone[4]' ></sub>&nbsp;&nbsp;".$type_alerte[$type[4]].$niveau.$color[$couleur[4]]."</strong>&nbsp;+&nbsp;"
								."<strong style='background-color:$colorfond[5];color:$coloralerte[5];' height='20px'><sub><img src='$dirimage/$icone[5]' width='30px' alt='$icone[5]' ></sub>&nbsp;&nbsp;".$type_alerte[$type[5]].$niveau.$color[$couleur[5]]."</strong>".$debut_alerte.$fin_alerte.$pied;
						require_once("vigilance.html");
						break;
	# 7 alertes (impossible)
	case 7: $vigilance = $entete."<strong style='background-color:$colorfond[0];color:$coloralerte[0];' height='20px'><sub><img src='$dirimage/$icone[0]' width='30px' alt='$icone[0]' ></sub>&nbsp;&nbsp;".$type_alerte[$type[0]].$niveau.$color[$couleur[0]]."</strong>&nbsp;+&nbsp;"
								."<strong style='background-color:$colorfond[1];color:$coloralerte[1];' height='20px'><sub><img src='$dirimage/$icone[1]' width='30px' alt='$icone[1]' ></sub>&nbsp;&nbsp;".$type_alerte[$type[1]].$niveau.$color[$couleur[1]]."</strong>&nbsp;+&nbsp;"
								."<strong style='background-color:$colorfond[2];color:$coloralerte[2];' height='20px'><sub><img src='$dirimage/$icone[2]' width='30px' alt='$icone[2]' ></sub>&nbsp;&nbsp;".$type_alerte[$type[2]].$niveau.$color[$couleur[2]]."</strong>&nbsp;+&nbsp;"
								."<strong style='background-color:$colorfond[3];color:$coloralerte[3];' height='20px'><sub><img src='$dirimage/$icone[3]' width='30px' alt='$icone[3]' ></sub>&nbsp;&nbsp;".$type_alerte[$type[3]].$niveau.$color[$couleur[3]]."</strong>&nbsp;+&nbsp;"
								."<strong style='background-color:$colorfond[4];color:$coloralerte[4];' height='20px'><sub><img src='$dirimage/$icone[4]' width='30px' alt='$icone[4]' ></sub>&nbsp;&nbsp;".$type_alerte[$type[4]].$niveau.$color[$couleur[4]]."</strong>&nbsp;+&nbsp;"
								."<strong style='background-color:$colorfond[5];color:$coloralerte[5];' height='20px'><sub><img src='$dirimage/$icone[5]' width='30px' alt='$icone[5]' ></sub>&nbsp;&nbsp;".$type_alerte[$type[5]].$niveau.$color[$couleur[5]]."</strong>&nbsp;+&nbsp;"
								."<strong style='background-color:$colorfond[6];color:$coloralerte[6];' height='20px'><sub><img src='$dirimage/$icone[6]' width='30px' alt='$icone[6]' ></sub>&nbsp;&nbsp;".$type_alerte[$type[6]].$niveau.$color[$couleur[6]]."</strong>".$debut_alerte.$fin_alerte.$pied;
						require_once("vigilance.html");
						break;
	# 8 alertes (impossible)
	case 8: $vigilance = $entete."<strong style='background-color:$colorfond[0];color:$coloralerte[0];' height='20px'><sub><img src='$dirimage/$icone[0]' width='30px' alt='$icone[0]' ></sub>&nbsp;&nbsp;".$type_alerte[$type[0]].$niveau.$color[$couleur[0]]."</strong>&nbsp;+&nbsp;"
								."<strong style='background-color:$colorfond[1];color:$coloralerte[1];' height='20px'><sub><img src='$dirimage/$icone[1]' width='30px' alt='$icone[1]' ></sub>&nbsp;&nbsp;".$type_alerte[$type[1]].$niveau.$color[$couleur[1]]."</strong>&nbsp;+&nbsp;"
								."<strong style='background-color:$colorfond[2];color:$coloralerte[2];' height='20px'><sub><img src='$dirimage/$icone[2]' width='30px' alt='$icone[2]' ></sub>&nbsp;&nbsp;".$type_alerte[$type[2]].$niveau.$color[$couleur[2]]."</strong>&nbsp;+&nbsp;"
								."<strong style='background-color:$colorfond[3];color:$coloralerte[3];' height='20px'><sub><img src='$dirimage/$icone[3]' width='30px' alt='$icone[3]' ></sub>&nbsp;&nbsp;".$type_alerte[$type[3]].$niveau.$color[$couleur[3]]."</strong>&nbsp;+&nbsp;"
								."<strong style='background-color:$colorfond[4];color:$coloralerte[4];' height='20px'><sub><img src='$dirimage/$icone[4]' width='30px' alt='$icone[4]' ></sub>&nbsp;&nbsp;".$type_alerte[$type[4]].$niveau.$color[$couleur[4]]."</strong>&nbsp;+&nbsp;"
								."<strong style='background-color:$colorfond[5];color:$coloralerte[5];' height='20px'><sub><img src='$dirimage/$icone[5]' width='30px' alt='$icone[5]' ></sub>&nbsp;&nbsp;".$type_alerte[$type[5]].$niveau.$color[$couleur[5]]."</strong>&nbsp;+&nbsp;"
								."<strong style='background-color:$colorfond[6];color:$coloralerte[6];' height='20px'><sub><img src='$dirimage/$icone[6]' width='30px' alt='$icone[6]' ></sub>&nbsp;&nbsp;".$type_alerte[$type[6]].$niveau.$color[$couleur[6]]."</strong>&nbsp;+&nbsp;"
								."<strong style='background-color:$colorfond[7];color:$coloralerte[7];' height='20px'><sub><img src='$dirimage/$icone[7]' width='30px' alt='$icone[7]' ></sub>&nbsp;&nbsp;".$type_alerte[$type[7]].$niveau.$color[$couleur[7]]."</strong>".$debut_alerte.$fin_alerte.$pied;
						require_once("vigilance.html");
						break;
	# 9 alerte (impossible)
	case 9: $vigilance = $entete."<strong style='background-color:$colorfond[0];color:$coloralerte[0];' height='20px'><sub><img src='$dirimage/$icone[0]' width='30px' alt='$icone[0]' ></sub>&nbsp;&nbsp;".$type_alerte[$type[0]].$niveau.$color[$couleur[0]]."</strong>&nbsp;+&nbsp;"
								."<strong style='background-color:$colorfond[1];color:$coloralerte[1];' height='20px'><sub><img src='$dirimage/$icone[1]' width='30px' alt='$icone[1]' ></sub>&nbsp;&nbsp;".$type_alerte[$type[1]].$niveau.$color[$couleur[1]]."</strong>&nbsp;+&nbsp;"
								."<strong style='background-color:$colorfond[2];color:$coloralerte[2];' height='20px'><sub><img src='$dirimage/$icone[2]' width='30px' alt='$icone[2]' ></sub>&nbsp;&nbsp;".$type_alerte[$type[2]].$niveau.$color[$couleur[2]]."</strong>&nbsp;+&nbsp;"
								."<strong style='background-color:$colorfond[3];color:$coloralerte[3];' height='20px'><sub><img src='$dirimage/$icone[3]' width='30px' alt='$icone[3]' ></sub>&nbsp;&nbsp;".$type_alerte[$type[3]].$niveau.$color[$couleur[3]]."</strong>&nbsp;+&nbsp;"
								."<strong style='background-color:$colorfond[4];color:$coloralerte[4];' height='20px'><sub><img src='$dirimage/$icone[4]' width='30px' alt='$icone[4]' ></sub>&nbsp;&nbsp;".$type_alerte[$type[4]].$niveau.$color[$couleur[4]]."</strong>&nbsp;+&nbsp;"
								."<strong style='background-color:$colorfond[5];color:$coloralerte[5];' height='20px'><sub><img src='$dirimage/$icone[5]' width='30px' alt='$icone[5]' ></sub>&nbsp;&nbsp;".$type_alerte[$type[5]].$niveau.$color[$couleur[5]]."</strong>&nbsp;+&nbsp;"
								."<strong style='background-color:$colorfond[6];color:$coloralerte[6];' height='20px'><sub><img src='$dirimage/$icone[6]' width='30px' alt='$icone[6]' ></sub>&nbsp;&nbsp;".$type_alerte[$type[6]].$niveau.$color[$couleur[6]]."</strong>&nbsp;+&nbsp;"
								."<strong style='background-color:$colorfond[7];color:$coloralerte[7];' height='20px'><sub><img src='$dirimage/$icone[7]' width='30px' alt='$icone[7]' ></sub>&nbsp;&nbsp;".$type_alerte[$type[7]].$niveau.$color[$couleur[7]]."</strong>&nbsp;+&nbsp;"
								."<strong style='background-color:$colorfond[8];color:$coloralerte[8];' height='20px'><sub><img src='$dirimage/$icone[8]' width='30px' alt='$icone[8]' ></sub>&nbsp;&nbsp;".$type_alerte[$type[8]].$niveau.$color[$couleur[8]]."</strong>".$debut_alerte.$fin_alerte.$pied;
						require_once("vigilance.html");
						break;
}
?>
